Bug 187932 - Review Request: paraview - Parallel visualization application
Review Request: paraview - Parallel visualization application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-04 13:50 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-17 18:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log (7.52 MB, text/plain)
2006-04-09 15:43 EDT, John Mahowald
no flags Details
patch for the .desktop files generation (1.46 KB, patch)
2006-04-10 16:58 EDT, Patrice Dumas
no flags Details | Diff
diff for desktop file updated with the right desktop file names (1.90 KB, patch)
2006-04-10 17:55 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2006-04-04 13:50:16 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/paraview.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-1.src.rpm
Description: 

ParaView is an application designed with the need to visualize large data
sets in mind. The goals of the ParaView project include the following:

    * Develop an open-source, multi-platform visualization application.
    * Support distributed computation models to process large data sets.
    * Create an open, flexible, and intuitive user interface.
    * Develop an extensible architecture based on open standards.

ParaView runs on distributed and shared memory parallel as well as single
processor systems and has been successfully tested on Windows, Linux and
various Unix workstations and clusters. Under the hood, ParaView uses the
Visualization Toolkit as the data processing and rendering engine and has a
user interface written using a unique blend of Tcl/Tk and C++.

NOTE: This version has NOT been compiled with MPI support.
Comment 1 Patrice Dumas 2006-04-06 19:09:55 EDT
I think that VTK should be packaged separately, and then paraview should use the
installed VTK. Except if the embedded VTK is based on the cvs (which seems so)
and  paraview needs that version, in that case, this could be done later.
Comment 2 Orion Poplawski 2006-04-06 22:04:35 EDT
(In reply to comment #1)
> I think that VTK should be packaged separately, and then paraview should use the
> installed VTK. Except if the embedded VTK is based on the cvs (which seems so)
> and  paraview needs that version, in that case, this could be done later.

I principle, I agree and have done similar with other packages.  However, this
one is quite complex VTK is configured specifically for use with ParaView.  The
Kitware developers don't recommend it (though they don't support using the
system Tcl/Tk which I have done).  So, I'm planning on leaving it the way it is
for now.

In the meantime, I've got a new version that creates an MPI version as well
(just need the new spec):
http://www.cora.nwra.com/~orion/fedora/paraview.spec
http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-2.src.rpm

This is a beast to compile.  Takes about 2 hours on a fast Athlon 64 system.
Comment 3 Patrice Dumas 2006-04-09 12:31:25 EDT
I believe you are right about using the included VTK. In that case it is
unlikely that the included VTK will become too old, on the contrary it seems to
be newer than the released VTK.

* it would be nice to have a .desktop file

* rpmlint give some ignorable warnings: 
W: paraview-data no-documentation
W: paraview-demos no-documentation

rpmlint is also unhappy with the debuginfo package. There are lots of 'objdump
failed', that I don't know how to solve, but there are also some errors, because
lots of source files have the executable bit set. It could be possible to chmod
-x everything ending in .h .c .cxx. Could be done later, however.

* I would have chosed BSD-like for the licence, but Distributable is ok too.

* I don't know how much the -data and other packages are coupled. But if they
are the specific version release should be required, like
Requires:       %{name}-data = %{version}-%{release}

* right name, follow packaging guidelines
* don't distribute unowned directory
* other items are right

NEEDSWORK: there are many man pages distributed in the paraview-mpi package, and
some cmake files that I believe shouldn't be packaged, the man pages refer to
non existant header files.
Comment 4 John Mahowald 2006-04-09 15:43:14 EDT
Created attachment 127529 [details]
Build log

Doesn't build on devel x86_64

The errors at the end:

/builddir/build/BUILD/paraview-2.4.3/fedora/bin/libvtkRendering.so: undefined
reference to `OSMesaMakeCurrent'
/builddir/build/BUILD/paraview-2.4.3/fedora/bin/libvtkRendering.so: undefined
reference to `OSMesaCreateContext'
/builddir/build/BUILD/paraview-2.4.3/fedora/bin/libvtkRendering.so: undefined
reference to `OSMesaDestroyContext'
collect2: ld returned 1 exit status
make[2]: *** [bin/pvbatch-real] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/paraview-2.4.3/fedora'
make[1]: *** [Servers/Executables/CMakeFiles/pvbatch-real.dir/all] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/paraview-2.4.3/fedora'
make: *** [all] Error 2

Full build log attached
Comment 5 Orion Poplawski 2006-04-10 11:49:09 EDT
(In reply to comment #3)
> * it would be nice to have a .desktop file
 
Got an initial version.  Still needs a little more work.  Suggestions?

> rpmlint is also unhappy with the debuginfo package. There are lots of 'objdump
> failed', that I don't know how to solve, but there are also some errors, because
> lots of source files have the executable bit set. It could be possible to chmod
> -x everything ending in .h .c .cxx. Could be done later, however.

Added these to the existing chmod -x command.

> * I would have chosed BSD-like for the licence, but Distributable is ok too.

I thought this was better due to multpiple licenses.
 
> * I don't know how much the -data and other packages are coupled. But if they
> are the specific version release should be required, like
> Requires:       %{name}-data = %{version}-%{release}

Very good - done.

> NEEDSWORK: there are many man pages distributed in the paraview-mpi package, and
> some cmake files that I believe shouldn't be packaged, the man pages refer to
> non existant header files.

I suppose that they might be useful for something, but certainly not as
currently installed.  I'll remove. 

Again, just need the new spec:
http://www.cora.nwra.com/~orion/fedora/paraview.spec
http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-3.src.rpm

Still looking at the build issue...
Comment 6 Patrice Dumas 2006-04-10 16:57:05 EDT
I propose the following icon (from the big image found on the paraview site)

http://www.environnement.ens.fr/perso/dumas/paraview_22x22.png

and I attach a diff for the spec.
Comment 7 Patrice Dumas 2006-04-10 16:58:37 EDT
Created attachment 127572 [details]
patch for the .desktop files generation
Comment 8 Patrice Dumas 2006-04-10 17:31:42 EDT
Apart from the .desktop that may be improved (feel free to use part of what I
propose in the diff, but not necessarily everything), I think you could remove
those requires

Requires(post): /usr/bin/update-mime-database
Requires(post): /usr/bin/update-desktop-database
Requires(postun): /usr/bin/update-mime-database
Requires(postun): /usr/bin/update-desktop-database
Comment 9 Patrice Dumas 2006-04-10 17:55:35 EDT
Created attachment 127578 [details]
diff for desktop file updated with the right desktop file names

The .desktop file is named fedora-paraview.desktop.

The file paraview_22x22.png should be packaged as Sourcexx and installed in
%{_datadir}/pixmaps.
Comment 10 Orion Poplawski 2006-04-11 12:42:46 EDT
http://www.cora.nwra.com/~orion/fedora/paraview.spec
http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-4.src.rpm

* Mon Apr 10 2006 - Orion Poplawski <orion@cora.wnra.com> - 2.4.3-4
- Add icon and cleanup desktop file

You'll want the src.rpm to get the extra source files.
Comment 11 Patrice Dumas 2006-04-12 13:03:10 EDT
Therre are still some rpmlint warning about executable files that shouldnt be
executable. I tracked down the issues.

One is with the install of files, you should add -m644 to the install call.

The other is with the find. Now the *.txt and *.xml aren't taken into accound
anymore...

This is fixed with:
find . \(-name \*.txt -o -name \*.xml -o -name \*.'[ch]*' \) -print0

Also \*.'[ch]*' finds a lot of files, including with *.cmake, .cvsignore,
*.ctest, *.h.in, *.check_cache, *.cg, *.html, *.cur. But it needs to find *.c
*.h *.hxx *.cxx *.cpp *.xml *.txt, so it may be right to catch more. Indeed
everything but scripts and directories should be chmod -x, so advise.

Please fix those and I believe it would be right.
Comment 12 Orion Poplawski 2006-04-12 18:47:03 EDT
http://www.cora.nwra.com/~orion/fedora/paraview.spec
http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-5.src.rpm

Just need the spec this time.  Need to move the find to %install - cmake build
process must muck with stuff is my only guess.

Comment 13 Patrice Dumas 2006-04-13 05:36:46 EDT
The lins don't work(In reply to comment #12)
> http://www.cora.nwra.com/~orion/fedora/paraview.spec
> http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-5.src.rpm

The links don't work.

> Just need the spec this time.  Need to move the find to %install - cmake build
> process must muck with stuff is my only guess.

You mean it isn't fixed with the fixes I propose in Comment #11?

Comment 14 Orion Poplawski 2006-04-14 11:21:58 EDT
(In reply to comment #13)
> The lins don't work(In reply to comment #12)
> > http://www.cora.nwra.com/~orion/fedora/paraview.spec
> > http://www.cora.nwra.com/~orion/fedora/paraview-2.4.3-5.src.rpm
> 
> The links don't work.
> 

Please try again.  We were having some problems on our network.

> > Just need the spec this time.  Need to move the find to %install - cmake build
> > process must muck with stuff is my only guess.
> 
> You mean it isn't fixed with the fixes I propose in Comment #11?

Not completely.  The parenthesis are correct (thanks), but that alone didn't do
it for me so I moved to the start of the install step and it seems to work there.

Comment 15 Patrice Dumas 2006-04-15 18:05:47 EDT
* ignorable rpmlint warnings:
W: paraview-demos no-documentation
W: paraview-data no-documentation
W: paraview-debuginfo objdump-failed
* follows naming guidelines
* licence is right
* spec is legible
* source match the upstream
* own created directories
* .desktop files are present

APPROVED
Comment 16 Orion Poplawski 2006-04-17 18:29:51 EDT
Checked in.  
Added to owners.list
Builds are on their way.  Needed to exclude ppc for now due to gcc ICE (bug
#189160).

Note You need to log in before you can comment on or make changes to this bug.